.root-loading {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 9999;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: rgb(0, 0, 0); /* Fallback color */
  background-color: rgba(0, 0, 0, 0.4); /* Black w/ opacity */
}
.root-loading-information {
  font-size: 1.5rem;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  text-align: center;
}
.root-loading-icon {
  display: flex;
  justify-content: center;
  width: 64px;
}
/* HTML: <div class="loader"></div> */
.root-loader {
  width: 36px;
  aspect-ratio: 1;
  display: grid;
  color: #334155;
  background: radial-gradient(
    farthest-side,
    currentColor calc(100% - 6px),
    #0000 calc(100% - 5px) 0
  );
  -webkit-mask: radial-gradient(
    farthest-side,
    #0000 calc(100% - 13px),
    #000 calc(100% - 12px)
  );
  border-radius: 50%;
  animation: l19 4s infinite linear;
}
.root-loader::before,
.root-loader::after {
  content: '';
  grid-area: 1/1;
  background: linear-gradient(currentColor 0 0) center,
    linear-gradient(currentColor 0 0) center;
  background-size: 100% 8px, 8px 100%;
  background-repeat: no-repeat;
}
.root-loader::after {
  transform: rotate(45deg);
}

@keyframes l19 {
  100% {
    transform: rotate(1turn);
  }
}

.custom-dialog-header .p-dialog-header {
  justify-content: flex-end;
}